/*
 *   Copyright 2017 by Atul Sharma <atulsharma406@gmail.com>
 * 
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Library General Public License as
 *   published by the Free Software Foundation; either version 2, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Library General Public License for more details
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef ITEMTYPES_H
#define ITEMTYPES_H
#include <QObject>

class Types : public QObject {
    Q_OBJECT
    Q_ENUMS(ItemTypes)
    Q_ENUMS(TimeGroup)
    Q_ENUMS(LocationGroup)
    Q_ENUMS(QueryType)
public:
    Types(QObject* parent);
    ~Types();
    
    enum ItemTypes { Album = 0 , Folder, Image };
    
    enum TimeGroup {
        Year = 3,
        Month,
        Week,
        Day
    };
    
    enum LocationGroup {
        Country = 7,
        State,
        City
    };
    
    enum QueryType {
        LocationQuery = 10,
        TimeQuery
    };
    
};

#endif
